Retrieve a Subscription

Retrieves the details of an existing subscription. Supply the unique subscription ID and Paypercut will return the corresponding subscription information.

You can also review subscription details in the Merchant Dashboard.

Related guide: Subscriptions

Path Parameters
  • id
    Type: string
    required

    Subscription ID (26-character ULID).

Query Parameters
  • expand
    enum
    const:  
    customer

    Expand related objects inline. Use customer to replace the customer ID with the full customer object.

    values
    • customer
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/subscriptions/{id}
curl https://api.paypercut.io/v1/subscriptions/01HD7M6DRKZ4Q4QEVWJB0RC1S6 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "01HD7M6DRKZ4Q4QEVWJB0RC1S6",
  "customer": "01KJQ34MWYH0TES77RDXA8T8TT",
  "status": "active",
  "start_date": "2026-01-01T00:00:00Z",
  "next_billing_date": "2026-02-01T00:00:00Z",
  "current_period_start": "2026-01-01T00:00:00Z",
  "current_period_end": "2026-02-01T00:00:00Z",
  "cancel_at_period_end": false,
  "cancel_at": null,
  "canceled_at": null,
  "paused_at": null,
  "trial_start": null,
  "trial_end": null,
  "trial_settings": null,
  "billing_cycle_anchor": "2026-01-01T00:00:00Z",
  "billing_cycle_anchor_config": null,
  "collection_method": "charge_automatically",
  "days_until_due": null,
  "default_payment_method": "01HD7M6DRKZ4Q4QEVWJB0RC1S6",
  "currency": "USD",
  "on_behalf_of": null,
  "livemode": false,
  "ended_at": null,
  "cancellation_details": null,
  "billing_thresholds": null,
  "pending_setup_intent": null,
  "items": [
    {
      "id": "01XXXXXXXXXXXXXXXXXXXXXXX",
      "price": "01XXXXXXXXXXXXXXXXXXXXXXX",
      "product": "01XXXXXXXXXXXXXXXXXXXXXXX",
      "quantity": 1,
      "billing_interval": "monthly",
      "unit_amount": 2999,
      "currency": "USD",
      "recurring": {
        "interval": "monthly",
        "interval_count": 1,
        "usage_type": "licensed"
      },
      "created_at": "2026-01-01T00:00:00Z",
      "updated_at": "2026-01-01T00:00:00Z"
    }
  ],
  "metadata": {
    "plan": "premium"
  },
  "created": "2026-01-01T00:00:00Z",
  "updated_at": "2026-01-01T00:00:00Z"
}